Subject: places.lsp: multiple values

From: Sam Steingold <[email-masked]>
Date: 16 Jul 1998 18:06:22 -0400

I started to convert the setf stuff to multiple-value-compliance.
The main file under surgery (or is it vivisection?) is places.lsp.
It looks like the functions which will have to be modified will have to
be replaced outright (the modifications are too large).  Already `diff
-cwb` is almost half the size of the file, and getting worse.

The problem I am having at the time is with `defsetf': it stubbornly
insists on a single store value.  It looks like much of the processing
there happens somewhere else, where the variables SYSTEM::%LET-LIST et
al are handled.  What do I do?  Where are these monsters treated?
(ANALYZE1 doesn't seem to be a lisp function...)

-- 
Sam Steingold, running RedHat5.1 GNU/Linux (http://www.linux.org)
Micros**t is not the answer. Micros**t is a question, and the answer is Linux,
the choice of the GNU (http://www.gnu.org) generation.
MS: Brain off-line, please wait.